
Ruby - Feature #12094

parameterized property assignment: o.prop(arg) = 1

02/20/2016 05:32 PM - bughit (bug hit)

Status: Open   

Priority: Normal   

Assignee:    

Target version:    

Description

module Mod

  @foo = {}

  def self.foo(k)

    @foo[k]

  end

  def self.foo=(k, v)

    @foo[k] = v

  end

end

Mod1.foo(:key1) ||= 'val1'

History

#1 - 02/21/2016 04:54 AM - nobu (Nobuyoshi Nakada)

This is a longstanding pending feature.

#2 - 02/22/2016 03:56 PM - bughit (bug hit)

- Subject changed from parameterized property assignment: o.prop(arg) = 1) to parameterized property assignment: o.prop(arg) = 1

Nobuyoshi Nakada wrote:

This is a longstanding pending feature.

 What is its status? Is there an existing issue for it?

#3 - 03/17/2016 07:05 AM - shyouhei (Shyouhei Urabe)

I met nobu so I asked its status.  He told me that this proposed syntax conflicted catastrophically with existing grammars when he tried this last time.

He said he'll try again.
